AccessRule (Gradle API 2.14)
Date: 2016-06-14

org.gradle.plugins.ide.eclipse.model

## Class AccessRule

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.eclipse.model.AccessRule

- All Implemented Interfaces:
    GroovyObject

      public class AccessRule
      extends GroovyObjectSupport

  Access rule associated to a classpath entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessRule(Object kind, Object pattern)` Deprecated.
    `AccessRule(String kind, String pattern)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getKind()`
    `String` | `getPattern()`
    `int` | `hashCode()`
    `void` | `setKind(String kind)`
    `void` | `setPattern(String pattern)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessRule

          public AccessRule(String kind,
                    String pattern)

    - #### AccessRule

          @Deprecated
          public AccessRule(Object kind,
                               Object pattern)

      Deprecated.

  - ### Method Detail

    - #### getKind

          public String getKind()

    - #### setKind

          public void setKind(String kind)

    - #### getPattern

          public String getPattern()

    - #### setPattern

          public void setPattern(String pattern)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`